---
layout: docs
page_title: 'Commands: plugin'
description: |
  The plugin command is used to interact with plugins.
---

# Command: plugin

The `plugin` command is used to interact with external plugins that
can be registered by Nomad jobs. Currently Nomad supports [Container
Storage Interface (CSI)][csi] plugins.

## Usage

Usage: `nomad plugin <subcommand> [options]`

Run `nomad plugin <subcommand> -h` for help on that subcommand. The following
subcommands are available:

- [`plugin status`][status] - Display status information about a plugin

[csi]: https://github.com/container-storage-interface/spec
[status]: /nomad/docs/commands/plugin/status 'Display status information about a plugin'
